# Using other Technologies

If you choose not to use React and Instant Search, this section will walk you through the general approach of using Algolia client libraries directly. The examples in this section use the Algolia [JavaScript client library](https://www.algolia.com/doc/api-client/getting-started/what-is-the-api-client/javascript/?client=javascript), but the [other client libraries](https://www.algolia.com/doc/api-client/getting-started/what-is-the-api-client/swift/?client=swift) use very similar semantics.

### Set up

To get started, you will need to initialize an Algolia search client.&#x20;

```javascript
const algoliasearch = require('algoliasearch/lite');
const searchClient = 
  algoliasearch('VFM4X0N23A','d16d4804f78c38777368ea8ced79e56e');
```

You can then retrieve an index and do queries. Specific queries will be covered in detail below. Be sure to include `store_id` in the filters so that your results are limited to just one store.

```javascript
const productsIndex = searchClient.initIndex('menu-products-demo');
productsIndex.search('', { filters: { /* Filters */ } }).then((results) => { 
  // Your code here 
});
```

For more information, continue on to the next section…


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iheartjane.com/jane-docs/implementing-roots/building-your-menu/using-other-technologies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
